<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Camera.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_camera_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Camera.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_camera_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef CAMERA_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define CAMERA_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="cvimage_8h.html">cvimage.h</a>&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;                <span class="keyword">class </span>GroupBox;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;                <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;                <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                <span class="keyword">class </span>Picture;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;                <span class="keyword">class </span>GridLayout;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        }</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_camera.html">   39</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_camera.html">Camera</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4">Camera</a>(std::string name, uint16_t width,</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;         uint16_t height, <a class="code" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">core::cvimage::Type::Format</a> format);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4">Camera</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, std::string name);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html#ad64596dd00415cfcecfa3589ddfdeaac">~Camera</a>();</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html#ace75da2070757c34ea5fa2b1b987d8cd">UseDefaultPlot</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1cvimage.html">core::cvimage</a> *image);</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_grid_layout.html">gui::GridLayout</a> *<a class="code" href="classflair_1_1sensor_1_1_camera.html#a684b76e97ad410052d04da65a39eaf1d">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *<a class="code" href="classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228">GetPlotTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html#a2c8759d51a00ada2c069b51c34d17653">SaveRawPictureToFile</a>(std::string filename) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html#a4f458342696953d923ee40efbc6a3e0e">SavePictureToFile</a>(std::string filename=<span class="stringliteral">&quot;&quot;</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  uint16_t <a class="code" href="classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63">Width</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  uint16_t <a class="code" href="classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56">Height</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvimage.html">core::cvimage</a> *<a class="code" href="classflair_1_1sensor_1_1_camera.html#a5fc0cfac6604d60add2af054ea6e2afc">Output</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  <a class="code" href="classflair_1_1core_1_1_data_type.html">core::DataType</a> <span class="keyword">const</span> &amp;GetOutputDataType() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        </div>
<div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">  136</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">LogFormat</a> {</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;                <a class="code" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693">NONE</a>, </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                <a class="code" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059">RAW</a>, </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                <a class="code" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928">JPG</a>, </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        };</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        </div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html#a5a8dd85868d1d300f29022acf4ed752e">SetLogFormat</a>(<a class="code" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">LogFormat</a> logFormat);</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="keywordtype">void</span> ProcessUpdate(<a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a>* data);</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *<a class="code" href="classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca">GetGroupBox</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvimage.html">core::cvimage</a> *output;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *main_tab, *sensor_tab, *plot_tab;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *setup_groupbox;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_grid_layout.html">gui::GridLayout</a> *setup_layout;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        <a class="code" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">LogFormat</a> logFormat;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;};</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<span class="preprocessor">#endif // CAMERA_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></div><div class="ttdoc">Base class for Camera. </div><div class="ttdef"><b>Definition:</b> Camera.h:39</div></div>
<div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ac812dd64ee47c9241dd83e37948fbc63"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63">flair::sensor::Camera::Width</a></div><div class="ttdeci">uint16_t Width(void) const </div><div class="ttdoc">Width. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_group_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_group_box.html">flair::gui::GroupBox</a></div><div class="ttdoc">Class displaying a QGroupBox on the ground station. </div><div class="ttdef"><b>Definition:</b> GroupBox.h:27</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_grid_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_grid_layout.html">flair::gui::GridLayout</a></div><div class="ttdoc">Class displaying a QGridLayout on the ground station. </div><div class="ttdef"><b>Definition:</b> GridLayout.h:27</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928">flair::sensor::Camera::LogFormat::JPG</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_1_1_type_html_abbfd16d91156a75d6ddbe7858aa8692f"><div class="ttname"><a href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">flair::core::cvimage::Type::Format</a></div><div class="ttdeci">Format</div><div class="ttdef"><b>Definition:</b> cvimage.h:37</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a5a8dd85868d1d300f29022acf4ed752e"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a5a8dd85868d1d300f29022acf4ed752e">flair::sensor::Camera::SetLogFormat</a></div><div class="ttdeci">void SetLogFormat(LogFormat logFormat)</div><div class="ttdoc">Set log format. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059">flair::sensor::Camera::LogFormat::RAW</a></div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ace75da2070757c34ea5fa2b1b987d8cd"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ace75da2070757c34ea5fa2b1b987d8cd">flair::sensor::Camera::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(const core::cvimage *image)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ac6f4c3e58d2822bba71da604544e63b5"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">flair::sensor::Camera::LogFormat</a></div><div class="ttdeci">LogFormat</div><div class="ttdoc">log formats </div><div class="ttdef"><b>Definition:</b> Camera.h:136</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ad64596dd00415cfcecfa3589ddfdeaac"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ad64596dd00415cfcecfa3589ddfdeaac">flair::sensor::Camera::~Camera</a></div><div class="ttdeci">~Camera()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="cvimage_8h_html"><div class="ttname"><a href="cvimage_8h.html">cvimage.h</a></div><div class="ttdoc">Class defining an image of kind IplImage. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693">flair::sensor::Camera::LogFormat::NONE</a></div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a5fc0cfac6604d60add2af054ea6e2afc"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a5fc0cfac6604d60add2af054ea6e2afc">flair::sensor::Camera::Output</a></div><div class="ttdeci">core::cvimage * Output(void)</div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a78b1839d9367d8df8e87a70460c1f228"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228">flair::sensor::Camera::GetPlotTab</a></div><div class="ttdeci">gui::Tab * GetPlotTab(void) const </div><div class="ttdoc">plot tab </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ab457977303cb9158d67d65da014aaab4"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4">flair::sensor::Camera::Camera</a></div><div class="ttdeci">Camera(std::string name, uint16_t width, uint16_t height, core::cvimage::Type::Format format)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a2c8759d51a00ada2c069b51c34d17653"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a2c8759d51a00ada2c069b51c34d17653">flair::sensor::Camera::SaveRawPictureToFile</a></div><div class="ttdeci">void SaveRawPictureToFile(std::string filename) const </div><div class="ttdoc">Save raw picture to file. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_ab23554ab7709e2069c7bbd298af82cca"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca">flair::sensor::Camera::GetGroupBox</a></div><div class="ttdeci">gui::GroupBox * GetGroupBox(void) const </div><div class="ttdoc">get GroupBox </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvimage_html"><div class="ttname"><a href="classflair_1_1core_1_1cvimage.html">flair::core::cvimage</a></div><div class="ttdoc">Class defining an image of kind IplImage. </div><div class="ttdef"><b>Definition:</b> cvimage.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a684b76e97ad410052d04da65a39eaf1d"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a684b76e97ad410052d04da65a39eaf1d">flair::sensor::Camera::GetLayout</a></div><div class="ttdeci">gui::GridLayout * GetLayout(void) const </div><div class="ttdoc">get Layout </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a4f458342696953d923ee40efbc6a3e0e"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a4f458342696953d923ee40efbc6a3e0e">flair::sensor::Camera::SavePictureToFile</a></div><div class="ttdeci">void SavePictureToFile(std::string filename=&quot;&quot;) const </div><div class="ttdoc">Save picture to file. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_camera_html_a41eea06fcb5539cfeaabc544b9bf6c56"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56">flair::sensor::Camera::Height</a></div><div class="ttdeci">uint16_t Height(void) const </div><div class="ttdoc">Height. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_camera_8h.html">Camera.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
